// Craig S. Kaplan

// Utility for getting the schedule for a given classroom from the UW
// API.  When you run this sketch it will quit immediately, but in the
// sketch folder it will leave behind a file called "classroom.json" 
// that you can use in your Schedule sketch.

// Edit these two variables if you want to get the schedule for a 
// different classroom.
String building = "STC";
String room = "0040";

// There's no need to edit anything below here.
String req_pref = "https://api.uwaterloo.ca/v2/buildings/";
String req_suff = "courses.json?key=6b5e445e121719d5b816623ed57545cd";

String req = req_pref + building + "/" + room + "/" + req_suff;

void setup()
{
  JSONObject my_obj = loadJSONObject( req );
  
  PrintWriter pw = createWriter( "classroom.json" );
  pw.println( my_obj );
  pw.flush();
  pw.close();
  
  exit();
}
